LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Macros | Functions
main.h File Reference
`#include "sal/config.h"`
`#include "sal/saldllapi.h"`
`#include "sal/types.h"`

Go to the source code of this file.

## Macros
#define | SAL_MAIN_WITH_ARGS_IMPL
#define | SAL_MAIN_IMPL
#define | SAL_WIN_WinMain
#define | SAL_IMPLEMENT_MAIN_WITH_ARGS(_argc_, _argv_)
#define | SAL_IMPLEMENT_MAIN()

## Functions
SAL_DLLPUBLIC void | sal_detail_initialize (int argc, char **argv)
SAL_DLLPUBLIC void | sal_detail_deinitialize ()

## Macro Definition Documentation

#define SAL_IMPLEMENT_MAIN | ( |  | ) |

Value:
static int SAL_CALL sal_main(void); \
SAL_MAIN_IMPL \
SAL_WIN_WinMain \
static int SAL_CALL sal_main(void)

#define SAL_IMPLEMENT_MAIN_WITH_ARGS | ( |  | _argc_,
|  |  | _argv_
| ) |  |

Value:
static int SAL_CALL sal_main_with_args (int _argc_, char ** _argv_); \
SAL_MAIN_WITH_ARGS_IMPL \
SAL_WIN_WinMain \
static int SAL_CALL sal_main_with_args(int _argc_, char ** _argv_)

#define SAL_MAIN_IMPL

Value:
int SAL_CALL main(int argc, char ** argv) \
{ \
int ret; \
sal_detail_initialize(argc, argv); \
ret = sal_main(); \
sal_detail_deinitialize(); \
return ret; \
}
sal_detail_deinitialize
SAL_DLLPUBLIC void sal_detail_deinitialize()
sal_detail_initialize
SAL_DLLPUBLIC void sal_detail_initialize(int argc, char **argv)

#define SAL_MAIN_WITH_ARGS_IMPL

Value:
int SAL_CALL main(int argc, char ** argv) \
{ \
int ret; \
sal_detail_initialize(argc, argv); \
ret = sal_main_with_args(argc, argv); \
sal_detail_deinitialize(); \
return ret; \
}
sal_detail_deinitialize
SAL_DLLPUBLIC void sal_detail_deinitialize()
sal_detail_initialize
SAL_DLLPUBLIC void sal_detail_initialize(int argc, char **argv)

#define SAL_WIN_WinMain

## Function Documentation

SAL_DLLPUBLIC void sal_detail_deinitialize | ( |  | ) |

SAL_DLLPUBLIC void sal_detail_initialize | ( | int | argc,
|  | char ** | argv
| ) |  |